## org.apache.batik.dom.svg
Class SVGOMAnimatedString

    java.lang.Object
      org.apache.batik.dom.svg.AbstractSVGAnimatedValue
          org.apache.batik.dom.svg.SVGOMAnimatedString

All Implemented Interfaces:
  AnimatedLiveAttributeValue, LiveAttributeValue, org.w3c.dom.svg.SVGAnimatedString

    public class SVGOMAnimatedString

extends AbstractSVGAnimatedValue
implements org.w3c.dom.svg.SVGAnimatedString

This class implements the `SVGAnimatedString` interface.

Field Summary
`protected java.lang.String` `animVal` The current animated value.

Fields inherited from class org.apache.batik.dom.svg.AbstractSVGAnimatedValue
`element, hasAnimVal, listeners, localName, namespaceURI`

Constructor Summary
`SVGOMAnimatedString(AbstractElement elt, java.lang.String ns, java.lang.String ln)` Creates a new SVGOMAnimatedString.

Method Summary
`void` `attrAdded(org.w3c.dom.Attr node, java.lang.String newv)` Called when an Attr node has been added.
`void` `attrModified(org.w3c.dom.Attr node, java.lang.String oldv, java.lang.String newv)` Called when an Attr node has been modified.
`void` `attrRemoved(org.w3c.dom.Attr node, java.lang.String oldv)` Called when an Attr node has been removed.
`java.lang.String` `getAnimVal()` DOM: Implements `SVGAnimatedString.getAnimVal()`.
`java.lang.String` `getBaseVal()` DOM: Implements `SVGAnimatedString.getBaseVal()`.
`AnimatableValue` `getUnderlyingValue(AnimationTarget target)` Returns the base value of the attribute as an `AnimatableValue`.
`void` `setBaseVal(java.lang.String baseVal)` DOM: Implements `SVGAnimatedString.setBaseVal(String)`.
`protected void` `updateAnimatedValue(AnimatableValue val)` Updates the animated value with the given `AnimatableValue`.

Methods inherited from class org.apache.batik.dom.svg.AbstractSVGAnimatedValue
`addAnimatedAttributeListener, fireAnimatedAttributeListeners, fireBaseAttributeListeners, getLocalName, getNamespaceURI, isSpecified, removeAnimatedAttributeListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### animVal

    protected java.lang.String animVal

  The current animated value.

Constructor Detail

### SVGOMAnimatedString

    public SVGOMAnimatedString(AbstractElement elt,
                               java.lang.String ns,
                               java.lang.String ln)

  Creates a new SVGOMAnimatedString.

  Parameters:
    `elt` - The associated element.
    `ns` - The attribute's namespace URI.
    `ln` - The attribute's local name.

Method Detail

### getBaseVal

    public java.lang.String getBaseVal()

  DOM: Implements `SVGAnimatedString.getBaseVal()`.

  Specified by:
    `getBaseVal` in interface `org.w3c.dom.svg.SVGAnimatedString`

### setBaseVal

    public void setBaseVal(java.lang.String baseVal)
                    throws org.w3c.dom.DOMException

  DOM: Implements `SVGAnimatedString.setBaseVal(String)`.

  Specified by:
    `setBaseVal` in interface `org.w3c.dom.svg.SVGAnimatedString`
  Throws:
    `org.w3c.dom.DOMException`

### getAnimVal

    public java.lang.String getAnimVal()

  DOM: Implements `SVGAnimatedString.getAnimVal()`.

  Specified by:
    `getAnimVal` in interface `org.w3c.dom.svg.SVGAnimatedString`

### getUnderlyingValue

    public AnimatableValue getUnderlyingValue(AnimationTarget target)

  Returns the base value of the attribute as an `AnimatableValue`.

  Specified by:
    `getUnderlyingValue` in interface `AnimatedLiveAttributeValue`

### updateAnimatedValue

    protected void updateAnimatedValue(AnimatableValue val)

  Updates the animated value with the given `AnimatableValue`.

  Specified by:
    `updateAnimatedValue` in class `AbstractSVGAnimatedValue`

### attrAdded

    public void attrAdded(org.w3c.dom.Attr node,
                          java.lang.String newv)

  Called when an Attr node has been added.

  Specified by:
    `attrAdded` in interface `LiveAttributeValue`

### attrModified

    public void attrModified(org.w3c.dom.Attr node,
                             java.lang.String oldv,
                             java.lang.String newv)

  Called when an Attr node has been modified.

  Specified by:
    `attrModified` in interface `LiveAttributeValue`

### attrRemoved

    public void attrRemoved(org.w3c.dom.Attr node,
                            java.lang.String oldv)

  Called when an Attr node has been removed.

  Specified by:
    `attrRemoved` in interface `LiveAttributeValue`

Copyright © 2008 Apache Software Foundation. All Rights Reserved.